# Interface FullQueryConnectionTester

All Superinterfaces:
  `ConnectionTester, QueryConnectionTester, Serializable`

All Known Subinterfaces:
  `UnifiedConnectionTester`

All Known Implementing Classes:
  `AbstractConnectionTester`

public interface FullQueryConnectionTester extends QueryConnectionTester

## Field Summary

### Fields inherited from interface ConnectionTester

`CONNECTION_IS_INVALID, CONNECTION_IS_OKAY, DATABASE_IS_INVALID`

## Method Summary

Modifier and Type
Method
Description
`int`
`statusOnException(Connection c, Throwable t, String preferredTestQuery)`

### Methods inherited from interface ConnectionTester

`activeCheckConnection, equals, hashCode, statusOnException`

### Methods inherited from interface QueryConnectionTester

`activeCheckConnection`

## Method Details

### statusOnException

int statusOnException(Connection c, Throwable t, String preferredTestQuery)